#include "common/pixel.hlsl"
#include "common/sdf.hlsl"

// Pixel shader main function
float4 main(PSInput input) : SV_TARGET
{
  float4 color = input.color;
  float2 p = input.uv;
  p -= 0.5;
  p *= 2;
  color.a = abs(sdf.circle(p, 1)) <= 0.005 ? 1:0 ;
  return color;
}